Status: Closed

Priority: Normal
Assignee: Marek Hulén
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/637

Description

It would be great to have these, although we do not plan full end-to-end installer support for telemetry. Users are supposed to deploy
statsd/prometheus by themselves for now.

https://github.com/theforeman/foreman/blob/develop/config/settings.yaml.example# 99-1. 118

Relevant options:

e telemetry - prefix

¢ telemetry - prometheus - enabled
telemetry - statsd - enabled
telemetry - statsd - host

Other options are not relevant for production use or not relevant at the moment (statsd protocol is not yet used).

Related issues:

Related to Foreman - Feature #18675: Add telemetry to Foreman core Closed

Associated revisions

Revision €29025f1 - 04/10/2018 07:18 PM - Marek Hulan
Fixes #23101 - add telemetry options

History

#1 - 04/03/2018 11:40 AM - Lukas Zapletal
- Related to Feature #18675: Add telemetry to Foreman core added

#2 - 04/10/2018 07:58 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/puppet-foreman/pull/637 added

#3 - 04/10/2018 08:02 PM - Marek Hulan
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman|e29025f111521c523afecb2a989dfb5d4382fcb0.
